# $Revision: 1.22 $, $Date: 2004/12/01 16:44:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	GraphViz
Summary:	GraphViz Perl module - interface to the GraphViz graphing tool
Summary(pl):	Modu Perla GraphViz - interfejs do narzdzia grafowego GraphViz
Name:		perl-GraphViz
Version:	2.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	87f9e8b7bc7496f08615f47f75204b7d
Patch0:		perl-%{pdir}-path.patch
%if %{with tests}
BuildRequires:	graphviz
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Graph
BuildRequires:	perl-IPC-Run >= 0.6
BuildRequires:	perl-Math-Bezier
BuildRequires:	perl-Parse-RecDescent
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	graphviz
Requires:	perl-IPC-Run >= 0.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# needed only for GraphViz::XML
%define		_noautoreq	'perl(XML::Twig)'

%description
This modules provides an interface to layout and generate images of
directed graphs in a variety of formats (PostScript, PNG, etc.) using
the "dot" and "neato" programs from the GraphViz project.

%description -l pl
Ten modu udostpnia interfejs do planowania i generowania obrazw
skierowanych grafw w rnych formatach (PostScript, PNG itd.) przy
uyciu programw "dot" i "neato" z projektu GraphViz.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%{perl_vendorlib}/Devel/*.pm
%{perl_vendorlib}/GraphViz.pm
%{perl_vendorlib}/GraphViz
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.graphviz
%{_examplesdir}/%{name}-%{version}/*.output
%{_examplesdir}/%{name}-%{version}/*.ttf
%{_examplesdir}/%{name}-%{version}/*.out
%{_examplesdir}/%{name}-%{version}/README

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GraphViz.spec,v $
Revision 1.22  2004/12/01 16:44:14  radek
- version 2.01

Revision 1.21  2004/11/03 22:30:24  paladine
- formatting

Revision 1.20  2004/08/08 20:46:56  adamg
- release 3

Revision 1.19  2004/06/05 18:10:40  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.18  2004/05/10 06:13:38  ankry
- typo

Revision 1.17  2004/05/07 00:32:01  ankry
- rel. 2

Revision 1.16  2004/05/06 18:09:40  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.14  2004/04/20 23:07:58  ankry
- ported to new bconds

Revision 1.13  2003/08/18 08:08:49  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/07/24 17:50:42  adamg
- added -path patch (removes dependecy for /usr/local/bin/perl)

Revision 1.11  2003/06/10 15:29:36  qboosh
- BR: perl-Parse-RecDescent

Revision 1.10  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/13 00:02:39  ankry
- merge from RA-branch: updated to 1.8

Revision 1.6  2003/03/01 19:36:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:32:52  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/02/05 16:18:19  ankry
- autoupdated to 1.7

Revision 1.2  2002/08/26 22:12:01  ankry
- BR: graphviz (on BCond)
- release 2, STBR

Revision 1.1  2002/08/16 16:31:14  qboosh
- new
